import requests
url = "https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/models/{MODEL_ID}"
payload = { "id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"modelType": "<string>",
"description": "<string>",
"state": "<string>"
}Get a model
Get the details about a specific model.
import requests
url = "https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/models/{MODEL_ID}"
payload = { "id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"modelType": "<string>",
"description": "<string>",
"state": "<string>"
}Path Parameters
Unique identifier derived from confidential client information.
Unique identifier for the model. Use GET /customers/{CUSTOMER_ID}/ai/models to get the list of models and their IDs.
Query Parameters
Information about the metrics returned in the response.
Body
The identifier of the model. For:
-
Pre-trained models, the value options are
multilinguallm,text-encoder, orclip-encoder. -
Custom models, the value is the universally unique identified (UUID) that is the primary key for the model.
Response
OK
- responseGetModelIdShared
- responseGetModelIdCustom
The identifier of the model. The value options are multilinguallm, text-encoder, or clip-encoder.
The name of the modelType. The value is the same as the id value. The value options are multilinguallm, text-encoder, or clip-encoder.
The description of the model.
This field specifies the current status of the model. The only value is AVAILABLE. The model was successfully trained and is ready to be deployed.
Was this page helpful?